//*----------------------------------------------------------------------------
// SPI.C
//*----------------------------------------------------------------------------
#include "spi.h"


//*----------------------------------------------------------------------------
// SPI-Bus initialisieren
//*----------------------------------------------------------------------------
#define LCD_A0      1     // PB0 (PIN1)	= Display A0			->		PIN 38
#define LCD_RST     2     // PB1 (PIN2)	= Display Reset			->		PIN 39 
#define LCD_CS      0     // PB4 (PIN5)	= Select  				->   	PIN 40 
#define SPI_MOSI    2     // PB2 (PIN6)	= SPI MOSI				->		PIN 36
#define SPI_MISO    3     // PB3 (PIN7)	= SPI MISO				-> 		
#define SPI_SCK     1     // PB1 (PIN8)	= SPI SCK				->		PIN 37

// SPI-Bus initialisieren
//*----------------------------------------------------------------------------
void init_spi_lcd(void)
{
	  DDRB  =  (1 << SPI_MOSI) | (1 << SPI_SCK);
	  PORTB &=~(1<<SPI_MISO);
	  SPCR = (1 << SPE) | (1 << MSTR) | (0 << SPR1) | (0 << SPR0);    // 4 MBit SPI
	  SPSR = 0;
	  _delay_ms(2);

 }

